> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gptproto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Flux-Kontext-Max - Image Edit - gptproto

> Flux-Kontext-Max — Image Edit (gptproto). GPTProto API reference.

Flux's GPTProto format for the image edit API.

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://gptproto.com/v1/images/generations" \
    -H "Authorization: YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
    "prompt": "cat with a red hat https://xxx.png",
    "model": "flux-kontext-max",
    "size": "16:9",
    "n": 1
  }'
  ```

  ```python Python theme={null}
  import requests
  import json

  url = "https://gptproto.com/v1/images/generations"
  headers = {
      "Authorization": "YOUR_API_KEY",
      "Content-Type": "application/json"
  }

  data = {
    "prompt": "cat with a red hat https://xxx.png",
    "model": "flux-kontext-max",
    "size": "16:9",
    "n": 1
  }

  response = requests.post(url, headers=headers, json=data)
  result = response.json()
  print(json.dumps(result, indent=2))
  ```

  ```javascript JavaScript theme={null}
  const url = "https://gptproto.com/v1/images/generations";
  const headers = {
    "Authorization": "YOUR_API_KEY",
    "Content-Type": "application/json"
  };

  const data = {
    "prompt": "cat with a red hat https://xxx.png",
    "model": "flux-kontext-max",
    "size": "16:9",
    "n": 1
  };

  fetch(url, {
    method: "POST",
    headers: headers,
    body: JSON.stringify(data)
  })
    .then(response => response.json())
    .then(data => console.log(data))
    .catch(error => console.error("Error:", error));
  ```

  ```go Go theme={null}
  package main

  import (
      "bytes"
      "encoding/json"
      "fmt"
      "io/ioutil"
      "net/http"
  )

  func main() {
      url := "https://gptproto.com/v1/images/generations"

      payload := []byte(`{
  "prompt": "cat with a red hat https://xxx.png",
  "model": "flux-kontext-max",
  "size": "16:9",
  "n": 1
  }`)

      req, _ := http.NewRequest("POST", url, bytes.NewBuffer(payload))
      req.Header.Set("Authorization", "YOUR_API_KEY")
      req.Header.Set("Content-Type", "application/json")

      client := &http.Client{}
      resp, err := client.Do(req)
      if err != nil {
          panic(err)
      }
      defer resp.Body.Close()

      body, _ := ioutil.ReadAll(resp.Body)
      fmt.Println(string(body))
  }
  ```
</CodeGroup>

<CodeGroup>
  ```json 401 - Invalid signature theme={null}
  {
    "error": {
      "message": "Invalid signature",
      "type": "401"
    }
  }
  ```

  ```json 403 - Insufficient balance theme={null}
  {
    "error": {
      "message": "Insufficient balance",
      "type": "403"
    }
  }
  ```

  ```json 500 - Internal server error theme={null}
  {
    "error": {
      "message": "Internal server error",
      "type": "500"
    }
  }
  ```

  ```json 503 - Content policy violation theme={null}
  {
    "error": {
      "message": "Input may not meet the guidelines. Please adjust and try again.",
      "type": "503"
    }
  }
  ```
</CodeGroup>

## Parameters

| Parameter | Type    | Required | Default                              | Description                       |
| --------- | ------- | -------- | ------------------------------------ | --------------------------------- |
| `prompt`  | string  | ✅ Yes    | `cat with a red hat https://xxx.png` | Prompt parameter                  |
| `model`   | string  | ✅ Yes    | `flux-kontext-max`                   | The model to use for the request  |
| `size`    | string  | ❌ No     | `16:9`                               | Size parameter                    |
| `n`       | integer | ❌ No     | `1`                                  | Number of completions to generate |
